### Method

# Gdk Display get_dmabuf_formats

since: 4.14

#### Declaration [src]

    GdkDmabufFormats*
    gdk_display_get_dmabuf_formats (
      GdkDisplay* display
    )

#### Description [src]

Returns the dma-buf formats that are supported on this display.

GTK may use OpenGL or Vulkan to support some formats. Calling this function will then initialize them if they aren’t yet.

The formats returned by this function can be used for negotiating buffer formats with producers such as v4l, pipewire or GStreamer.

To learn more about dma-bufs, see `GdkDmabufTextureBuilder`.

This function is threadsafe. It can be called from any thread.

Available since: 4.14

Gets property | `Gdk.Display:dmabuf-formats`

#### Return value

Type: `GdkDmabufFormats`

A `GdkDmabufFormats` object.

The returned data is owned by the instance.